## mysql-community 5.7.4-m14

=== debian/changelog ===
mysql-community (5.7.4-m14-2debian7) wheezy; urgency=low

  * modified path for source tar in source pkg
  * obscured actual filenames in d/source/include-binaries
  * modified d/rules to handle obscured filenames

 -- Akhil Mohan <akhil.mohan@oracle.com>  Mon, 05 May 2014 15:45:10 +0530

mysql-community (5.7.4-m14-1debian7) stable; urgency=low

  * new upstream release

 -- Akhil Mohan <akhil.mohan@oracle.com>  Fri, 28 Feb 2014 18:06:30 +0530
